com.buschmais.jqassistant.plugin.maven3.impl.scanner

## Class AbstractMavenPomScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>
  - - com.buschmais.jqassistant.plugin.maven3.impl.scanner.AbstractMavenPomScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>
  Direct Known Subclasses:
    MavenPomFileScannerPlugin, MavenPomXmlFileScannerPlugin

      public abstract class AbstractMavenPomScannerPlugin
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>

  Scans pom.xml files.
  Author:
    ronald.kunzmann@buschmais.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMavenPomScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MavenPomXmlDescriptor` | `createDescriptor(org.apache.maven.model.Model model, com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item, String path, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`
    `Class<? extends MavenPomXmlDescriptor>` | `getDescriptorType()`
    `Class<? extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource>` | `getType()`
    `MavenPomXmlDescriptor` | `scan(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `accepts`

- - ### Constructor Detail

    - #### AbstractMavenPomScannerPlugin

          public AbstractMavenPomScannerPlugin()

  - ### Method Detail

    - #### getType

          public Class<? extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource> getType()

      Specified by:
        `getType` in interface `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>`
      Overrides:
        `getType` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>`

    - #### getDescriptorType

          public Class<? extends MavenPomXmlDescriptor> getDescriptorType()

      Specified by:
        `getDescriptorType` in interface `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>`
      Overrides:
        `getDescriptorType` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>`

    - #### scan

          public MavenPomXmlDescriptor scan(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item,
                                            String path,
                                            com.buschmais.jqassistant.core.scanner.api.Scope scope,
                                            com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                                     throws IOException

      Throws:
        `IOException`

    - #### createDescriptor

          protected MavenPomXmlDescriptor createDescriptor(org.apache.maven.model.Model model,
                                                           com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item,
                                                           String path,
                                                           com.buschmais.jqassistant.core.scanner.api.Scanner scanner)

Copyright © 2015 buschmais GbR. All rights reserved.